package de.ozgcloud.processor.vorgang;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.Builder;
import lombok.Getter;
import lombok.Singular;

@Getter
@Builder
public class SubForm implements FormDataEntry {

	private String name;
	private String label;
	@Singular
	private List<FormDataEntry> formItems;

	@JsonIgnore
	@Override
	public boolean isSubForm() {
		return true;
	}

}
