package de.ozgcloud.processor.vorgang;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonProperty.Access;

import lombok.Builder;
import lombok.Getter;

@Builder
@Getter
public class Vorgang {

	private VorgangId id;

	private long version;
	private String vorgangName;
	private String vorgangNummer;
	private String formId;
	@JsonIgnore
	private String formEngineName;

	private Eingang eingang;

	@JsonProperty(access = Access.READ_ONLY, value = "vorgangId")
	public String getId() {
		return id.toString();
	}
}
