package de.ozgcloud.processor.vorgang;

import de.ozgcloud.common.datatype.StringBasedValue;

public class VorgangId extends StringBasedValue {

	VorgangId(String id) {
		super(id);
	}

	public static VorgangId from(String id) {
		return new VorgangId(id);
	}

	public static VorgangId from(StringBasedValue id) {
		return from(id.toString());
	}
}
