package de.ozgcloud.processor;

import java.util.TimeZone;

import org.mockito.Mock;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import de.ozgcloud.vorgang.vorgang.VorgangServiceGrpc;

@SpringBootApplication(scanBasePackages = { "de.ozgcloud" })
public class ProcessorTestApplication {

	@Mock
	private VorgangServiceGrpc.VorgangServiceBlockingStub vorgangServiceStub;

	public static void main(String[] args) {
		TimeZone.setDefault(TimeZone.getTimeZone("UTC"));
		SpringApplication.run(ProcessorTestApplication.class, args);
	}

}
