package de.ozgcloud.processor.processor;

import de.ozgcloud.apilib.vorgang.OzgCloudEingangHeaderTestFactory;
import de.ozgcloud.processor.processor.ProcessorProperties.Form;
import de.ozgcloud.processor.processor.ProcessorProperties.Form.FormBuilder;

public class FormTestFactory {

	public static Form create() {
		return createBuilder().build();
	}

	public static FormBuilder createBuilder() {
		return Form.builder()
				.formId(OzgCloudEingangHeaderTestFactory.FORM_ID)
				.formEngineName(OzgCloudEingangHeaderTestFactory.FORM_ENGINE_NAME);
	}
}
