package de.ozgcloud.processor.processor;

import de.ozgcloud.processor.processor.ProcessorProperties.Processor;

public class ProcessorTestFactory {

	public static final String ADDRESS = "https://processor.local";
	public static final String PROCESSOR_NAME = "processor1";

	public static Processor create() {
		return createBuilder().build();
	}

	public static Processor.ProcessorBuilder createBuilder() {
		return Processor.builder()
				.form(FormTestFactory.create())
				.address(ADDRESS)
				.name(PROCESSOR_NAME);
	}
}
