package de.ozgcloud.processor.result;

import de.ozgcloud.processor.result.Aktennotiz.AktennotizBuilder;
import de.ozgcloud.processor.vorgang.VorgangTestFactory;

public class AktennotizTestFactory {

	public static final Severity SEVERITY = Severity.INFO;
	public static final String HEADLINE = "Headline";
	public static final String TEXT = "Text";

	public static Aktennotiz create() {
		return createBuilder().build();
	}

	public static AktennotizBuilder createBuilder() {
		return Aktennotiz.builder()
				.vorgangId(VorgangTestFactory.ID.toString())
				.severity(SEVERITY)
				.headline(HEADLINE)
				.text(TEXT);
	}
}
