package de.ozgcloud.processor.processor;

import jakarta.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonIgnore;

import de.ozgcloud.processor.result.Action;
import de.ozgcloud.processor.result.Aktennotiz;
import de.ozgcloud.processor.vorgang.VorgangId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Builder(toBuilder = true)
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class ProcessorResult {

	@JsonIgnore
	@NotNull
	private VorgangId vorgangId;

	@JsonIgnore
	private String processorName;
	@NotNull
	private Action action;

	@NotNull
	private Aktennotiz body;

}
