package de.ozgcloud.processor.result;

import com.fasterxml.jackson.annotation.JsonCreator;

import de.ozgcloud.common.errorhandling.TechnicalException;

public enum Action {

	CREATE_AKTENNOTIZ;

	@JsonCreator
	public static Action fromString(String action) {
		try {
			return valueOf(action.toUpperCase());
		} catch (IllegalArgumentException | NullPointerException e) {
			throw new TechnicalException("Unknown action: " + action, e);
		}
	}
}
