package de.ozgcloud.processor.result;

import jakarta.validation.constraints.NotBlank;

import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Builder
@Getter
@NoArgsConstructor
@AllArgsConstructor
public class Aktennotiz {

	@JsonIgnore
	private String vorgangId;
	private Severity severity;
	private String headline;

	@NotBlank
	private String text;

}
