package de.ozgcloud.processor.vorgang;

import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.Builder;
import lombok.Getter;

@Builder
@Getter
public class FormField implements FormDataEntry {

	private String name;
	private String label;

	private Object value;

	@JsonIgnore
	@Override
	public boolean isFormEntry() {
		return true;
	}
}
