package de.ozgcloud.processor.processor;

import de.ozgcloud.processor.processor.ProcessorResult.ProcessorResultBuilder;
import de.ozgcloud.processor.result.Action;
import de.ozgcloud.processor.result.AktennotizTestFactory;
import de.ozgcloud.processor.vorgang.VorgangTestFactory;

public class ProcessorResultTestFactory {

	public static final String KEY_RESULT_ACTION = "action";
	public static final Action RESULT_ACTION = Action.CREATE_AKTENNOTIZ;

	public static ProcessorResult create() {
		return createBuilder().build();
	}

	public static ProcessorResultBuilder createBuilder() {
		return ProcessorResult.builder()
				.action(RESULT_ACTION)
				.processorName(ProcessorTestFactory.PROCESSOR_NAME)
				.vorgangId(VorgangTestFactory.ID)
				.body(AktennotizTestFactory.create());
	}
}
