package de.ozgcloud.processor.processor;

import de.ozgcloud.processor.processor.ProxyProperties.ProxyPropertiesBuilder;

public class ProxyPropertiesTestFactory {

	public static final String HOST = "myproxy.com";
	public static final int PORT = 8080;

	public static ProxyProperties create() {
		return createBuilder().build();
	}

	public static ProxyPropertiesBuilder createBuilder() {
		return ProxyProperties.builder()
				.host(HOST)
				.port(PORT);
	}
}
