package de.ozgcloud.processor.vorgang;

import static de.ozgcloud.apilib.vorgang.OzgCloudAntragstellerTestFactory.*;

public class AntragstellerTestFactory {

	public static Antragsteller create() {
		return createBuilder().build();
	}

	public static Antragsteller.AntragstellerBuilder createBuilder() {
		return Antragsteller.builder()
				.anrede(ANREDE)
				.vorname(FIRSTNAME)
				.nachname(NACHNAME)
				.geburtsdatum(GEBURTSDATUM)
				.geburtsort(GEBURTSORT)
				.geburtsname(GEBURTSNAME)
				.strasse(STRASSE)
				.hausnummer(HAUSNUMMER)
				.plz(PLZ)
				.ort(ORT)
				.email(E_MAIL)
				.telefon(TELEFON);
	}
}
